Update article

PATCH
/v1/knowledge/articles/{articleId}

Update a knowledge article

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid

Request Body

The knowledge article fields to update

application/json
  1. body
ownedBy?string

ID of the user who owns the article

tags?

Tags to add or remove

preRelease?boolean

Whether the article is only available in pre-release mode

Response Body

The updated knowledge article

application/json
  1. response
data*

The updated article

Example Request
curl -X PATCH 'https://dev.dixa.io/v1/knowledge/articles/{articleId}' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "ownedBy": "123e4567-e89b-12d3-a456-426614174000",  "tags": {    "add": [      "tag-id-1"    ]  },  "preRelease": false}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"isDefaultLocation": true,
"translation": {
"draft": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
},
"published": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
},
"tags": [
"f6020a03-5a7a-4d9e-81e6-f1b76a855a5e"
],
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"indexedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000",
"ownedBy": "123e4567-e89b-12d3-a456-426614174000",
"indexedBy": "123e4567-e89b-12d3-a456-426614174000",
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "123e4567-e89b-12d3-a456-426614174000",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}